# How to contribute

Found a bug in the code, or have an idea for a feature? <br>
Here are some notes on how to best report them so we can get it fixed as quickly as possible.

## New Features

Here is a quick guideline on how to request a new feature:
 - Open up a new issue and try to be as detailed as possible.
 - Try describing it as a story - [Here is a How To](https://help.rallydev.com/writing-great-user-story)
 - Optionally, if you can provide a mock up that would be great too.

## Issues

Found a bug? 
Here are some notes on how to report the bug so we can fix it as fast as possible:

First have a quick look on the [closed issues](https://github.com/guikeller/jetty-runner/issues?q=is%3Aissue+is%3Aclosed) and if the issue is not there please do raise a new issue.

While raising an issue please provide the following info below.
- Explain, as detailed as possible, how to reproduce the issue.
- Include what you expected to happen, as well as what actually happened and logs.
- Provide your environment details; JVM Version, Plugin Version, IntelliJ Version
- If it helps, feel free to [attach a
  screenshot](https://github.com/blog/1347-issue-attachments) or video
  illustrating the issue.

## Pull Requests

Know how to fix something? Create a pull request! Here's a quick guide:

- [Check for open issues](https://github.com/guikeller/jetty-runner/issues), or
   open a fresh issue to start a discussion around a feature idea or a bug.
   Opening a separate issue to discuss the change is less important for smaller
   changes, as the discussion can be done in the pull request.
- Fork the relevant repository on GitHub, and start making your changes.
- Push the change (please use a separate branch for your feature).
- Open a pull request.
- I will try to merge and deploy changes as soon as possible, or at least leave
   some feedback, but if you haven't heard anything after a couple of days,
   feel free to leave a comment on the pull request.
